Skip to main content
PATCH
/
team
/
{team_id}
Python (SDK)
import latitudesh_python_sdk
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    res = latitudesh.teams.update(team_id="team_bVJM4y6m4VCyy101JzA3szlVGRb", data={
        "id": "team_bVJM4y6m4VCyy101JzA3szlVGRb",
        "type": latitudesh_python_sdk.PatchCurrentTeamTeamsType.TEAMS,
        "attributes": {
            "address": "Address",
            "name": "Name",
        },
    })

    # Handle response
    print(res)
{
  "data": {
    "id": "team_bVJM4y6m4VCyy101JzA3szlVGRb",
    "type": "teams",
    "attributes": {
      "name": "Langworth-Langosh",
      "slug": "langworth-langosh",
      "address": "2746 Joe Stream",
      "currency": "WST",
      "enforce_mfa": false,
      "referred_code": null
    }
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

team_id
string
required

Body

data
object
required

Response

200 - application/vnd.api+json

Success

data
object